function toLower(v) {
return v.toLowerCase();
}

const mongoose = require('mongoose'); // An Object-Document Mapper for Node.js
//const assert = require('assert'); // N.B: Assert module comes bundled with Node.js.
mongoose.Promise = global.Promise; // Allows us to use Native promises without throwing error.

const db = mongoose.connect('mongodb://localhost:27017/contactdb');

const contactSchema = mongoose.Schema({
  fname: { type: String, set: toLower },
  lname: { type: String, set: toLower },
  phone: { type: String, set: toLower },
  email: { type: String, set: toLower }
});

const Contact = mongoose.model('Contact', contactSchema);

const addContact = (contact) => {
  Contact.create(contact, (err) => {
    //assert.equal(null, err);
    console.info('เพิ่มรายการติดต่อใหม่ สำเร็จ');
    db.disconnect();
  });
};

const getContact = (name) => {
  // Define search criteria. The search here is case-insensitive and inexact.
  const search = new RegExp(name, 'i');
  Contact.find({$or: [{fname: search }, {lname: search }]})
  .exec((err, contact) => {
    assert.equal(null, err);
    console.info(contact);
    console.info(`ค้นเจอทั้งหมด ${contact.length} รายการ`);
    db.disconnect();
  });
};

module.exports = {  addContact, getContact };
//exports.toLower = lower


//exports.toLower = lower
